Bug 1713248 - Hammer hostgroup create fails with 'The selected content source and lifecycle environment do not match'
Summary: Hammer hostgroup create fails with 'The selected content source and lifecycl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts - Content
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Samir Jha
QA Contact: vijsingh
URL:
Whiteboard:
: 1718904 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-23 09:03 UTC by vijsingh
Modified: 2019-10-22 12:47 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.3-11
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27014 'Normal' 'Closed' '''initial organization'' and ''initial location'' does not assign to Satellite/Integral Capsule' 2019-12-02 20:11:33 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:46 UTC

Description vijsingh 2019-05-23 09:03:41 UTC
Description of problem:

Hammer hostgroup create fails with 'The selected content source and lifecycle environment do not match'

Version-Release number of selected component (if applicable):

Satellite 6.6.0 snap 3.0

How reproducible:

Always

Steps to Reproduce:
1. Create a hostgroup using hammer as below:

  #  hammer hostgroup create --name Test_HG --organization 'Default Organization' --content-source-id 1 --lifecycle-environment Library


Actual results:

Could not create the hostgroup:
  The selected content source and lifecycle environment do not match

Expected results:

 Hostgroup created 

Additional info:

It's a regression/blocker as works fine with Satellite 6.5:

~~~~
# hammer hostgroup create --name Test_HG --organization 'Default Organization' --content-source-id 1 --lifecycle-environment Library
Hostgroup created.
~~~~

Comment 4 Marek Hulan 2019-05-23 12:52:47 UTC
Could this be caused by the fact the content source capsule is not assigned to the organization? In fact outcome of BZ 1709695?

Comment 5 vijsingh 2019-05-23 13:46:33 UTC
I checked on that but Capsule is part of correct 'organization/location'

Comment 7 Brad Buckingham 2019-06-14 13:35:30 UTC
*** Bug 1718904 has been marked as a duplicate of this bug. ***

Comment 8 John Mitsch 2019-06-18 15:03:43 UTC
This was fixed by https://github.com/Katello/katello/pull/8157/files, I updated this BZ, attaching the issue and am moving this to POST.

Comment 9 vijsingh 2019-07-09 08:57:10 UTC
ON_QA Verified

@Satellite 6.6.0 snap 10.0

Steps/Observation:

- Able to create HG

______________________________________
[root@qe-sat6-bm1 ~]# hammer hostgroup create --name Test_HG --organization 'Default Organization' --content-source-id 1 --lifecycle-environment Library
Hostgroup created.
[root@qe-sat6-bm1 ~]# hammer hostgroup info --id 1
Id:                    1
Name:                  Test_HG
Title:                 Test_HG
Network:               

Operating system:      

Puppetclasses:         

Parameters:            

Organizations:         
    Default Organization
OpenSCAP Proxy:        
Content View:          
    ID:   
    Name:
Lifecycle Environment: 
    ID:   1
    Name: Library
Content Source:        
    ID:   1
    Name: qe-sat6-bm1.example.com
Kickstart Repository:  
    ID:   
    Name:

[root@qe-sat6-bm1 ~]# hammer hostgroup create --name Test_HG1
Hostgroup created.
[root@qe-sat6-bm1 ~]# 

[root@qe-sat6-bm1 ~]# hammer hostgroup create --name Test_HG2 --organization 'Default Organization' --content-source-id 1
Hostgroup created.

[root@qe-sat6-bm1 ~]# hammer hostgroup create --name Test_HG3 --organization 'Default Organization' --lifecycle-environment Library
Hostgroup created.
[root@qe-sat6-bm1 ~]#

______________________________________

Comment 11 errata-xmlrpc 2019-10-22 12:47:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.